/*
  -------------------- file fileio.c
  Created 23 Apr 92 by Andrew Shapira, Rensselaer Polytechnic Institute.

	Copyright (C) 1992 Andrew Shapira.

	This file is part of the Ntuplib library.

	Ntuplib is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Ntuplib is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with the Ntuplib Library; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdio.h>
#include <strings.h>
#include "our_common.h"
#include "fileio.h"
#include "memalloc.h"
#include "util.h"

FILE *
xfopen(
const char *filename,
const char *type
)
{
  FILE *fp;
  char  *errbuff;

  fp = fopen(filename, type);
  if (fp)
    return(fp);
  
  if (strlen(type) > 2)
    fatal("xfopen: bad type.");
  errbuff = xmalloc(strlen(filename)+20);
  (void) sprintf(errbuff, "xfopen(\"%s\",\"%s\")", filename, type);
  fatal(errbuff);
  return(0);      /* GCCHAPPY */
}

void
xfclose(
FILE *f
)
{
  int fclose P(( FILE * ));
  if (fclose(f))  fatal("xfclose()");
}
